@ECHO OFF&(PUSHD "%~DP0")&(REG QUERY "HKU\S-1-5-19">NUL 2>&1)||(
powershell -Command "Start-Process '%~sdpnx0' -Verb RunAs"&&EXIT)
sc stop GsServer >NUL 2>NUL
sc delete GsServer >NUL 2>NUL
reg delete "HKLM\SYSTEM\CurrentControlSet\Services\GsServer" /F >NUL 2>NUL
if defined PROGRAMFILES(X86) (
    echo Running GoodSync2Go on 64-bit system
    start x64\GoodSync2Go.exe
) else (
    echo Running GoodSync2Go on 32-bit system
    start x86\GoodSync2Go.exe
)
